--- src/mac/MacHIDManager.cpp	(revision 34)
+++ src/mac/MacHIDManager.cpp	(working copy)
@@ -1,21 +1,21 @@
 /*
  The zlib/libpng License
  
- Copyright (c) 2006 Phillip Castaneda
+ Copyright (c) 2005-2007 Phillip Castaneda (pjcast -- www.wreckedgames.com)
  
  This software is provided 'as-is', without any express or implied warranty. In no event will
  the authors be held liable for any damages arising from the use of this software.
  
- Permission is granted to anyone to use this software for any purpose, including commercial 
+ Permission is granted to anyone to use this software for any purpose, including commercial
  applications, and to alter it and redistribute it freely, subject to the following
  restrictions:
  
- 1. The origin of this software must not be misrepresented; you must not claim that 
- you wrote the original software. If you use this software in a product, 
- an acknowledgment in the product documentation would be appreciated but is 
+ 1. The origin of this software must not be misrepresented; you must not claim that
+ you wrote the original software. If you use this software in a product,
+ an acknowledgment in the product documentation would be appreciated but is
  not required.
  
- 2. Altered source versions must be plainly marked as such, and must not be 
+ 2. Altered source versions must be plainly marked as such, and must not be
  misrepresented as being the original software.
  
  3. This notice may not be removed or altered from any source distribution.
@@ -403,16 +403,17 @@
 	{
 		if((*it)->inUse == false && (*it)->type == iType && (vendor == "" || (*it)->combinedKey == vendor))
 		{
+            int totalDevs = totalDevices(iType);
+            int freeDevs = freeDevices(iType);
+            int devID = totalDevs - freeDevs;
 			switch(iType)
 			{
 				case OISJoyStick:
-					int totalDevs = totalDevices(iType);
-					int freeDevs = freeDevices(iType);
-					int devID = totalDevs - freeDevs;
-					
-					obj = new MacJoyStick((*it)->combinedKey, bufferMode, *it, creator, devID);
-					(*it)->inUse = true;
-					return obj;
+                {
+                    obj = new MacJoyStick((*it)->combinedKey, bufferMode, *it, creator, devID);
+                    (*it)->inUse = true;
+                    return obj;
+                }
 				case OISTablet:
 					//Create MacTablet
 					break;
